import { isString } from "@pureadmin/utils";
import { h } from "vue";
import { ContentConfig } from "/@/components/PageContent";
import {
  // httpDelete,
  // httpStatus,
  httpList,
  httpAdd
} from "/@/api/mobile/exchangeStock";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";
import { ElTag } from "element-plus";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    prop: "id",
    label: "ID"
  },

  {
    prop: "account_username",
    label: "账户"
  },
  {
    prop: "account_name",
    label: "账户姓名"
  },
  {
    prop: "inventory",
    label: "库存数"
  },

  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "160px"
  },

  {
    label: "操作",
    fixed: "right",
    width: 120,
    slot: "operation"
  }
];
const contentConfig: ContentConfig = {
  title: "卡类型管理",
  columns,
  apis: {
    httpAdd,
    // httpDelete,
    // httpStatus,
    httpList,
    httpUpdate: true
  }
};

export default contentConfig;
